/**********************************************************************************/
/*                                                                                */
/* File: mandelbrot.h                                                             */
/* Author: bkenwright@xbdev.net                                                   */
/* URL: www.xbdev.net                                                             */
/* Date: 11-08-2005                                                               */
/* Desciption: Mandelbrot Fractal Texture Class                                   */
/*                                                                                */
/* Updated: 11-08-2005 by bkenwright                                              */
/*                                                                                */
/**********************************************************************************/


#pragma once

#pragma comment(lib, "D3d8.lib")
#pragma comment(lib, "D3dx8.lib")
#include <d3dx8.h>



//#include <time.h> // time() - seed our srand function



class CMandelbrot
{
protected:
	IDirect3DDevice8 * m_pd3dDevice;

	IDirect3DTexture8 * m_pTexture;
public:
	HRESULT Create(IDirect3DDevice8 ** pDevice);
	HRESULT Release();

	IDirect3DTexture8* GetTexture( IDirect3DTexture8** pTexture )
	{
		if( pTexture != NULL )
			*pTexture = m_pTexture;
		return m_pTexture;
	}//End GetTexture(..)

protected:
	static void  MakTexture(D3DXVECTOR4* pOut, D3DXVECTOR2 *pTexCoord, D3DXVECTOR2 *pTexelSize, LPVOID pData);


};//End CMandelbrot class





